package com.sifang.modules.sys.util.insurance.form.ordersubmit;

import com.fasterxml.jackson.annotation.JsonIgnore;

public class Insured {

    private String insuredFlag;
    private String identifyNumber;
    private String insuredName;
    private String identifyType;
    private String insuredType;
    private String mobile;
    private String insuredNature;
    private String email;
    private String address;
    private String isInsuredRelation;
    private String targetId;

    public String getInsuredType() {
        return insuredType;
    }

    public void setInsuredType(String insuredType) {
        this.insuredType = insuredType;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getIdentifyType() {
        return identifyType;
    }

    public void setIdentifyType(String identifyType) {
        this.identifyType = identifyType;
    }

    public String getInsuredFlag() {
        return insuredFlag;
    }

    public void setInsuredFlag(String insuredFlag) {
        this.insuredFlag = insuredFlag;
    }

    public String getIdentifyNumber() {
        return identifyNumber;
    }

    public void setIdentifyNumber(String identifyNumber) {
        this.identifyNumber = identifyNumber;
    }

    public String getInsuredNature() {
        return insuredNature;
    }

    public void setInsuredNature(String insuredNature) {
        this.insuredNature = insuredNature;
    }

    public String getInsuredName() {
        return insuredName;
    }

    public void setInsuredName(String insuredName) {
        this.insuredName = insuredName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getIsInsuredRelation() {
        return isInsuredRelation;
    }

    public void setIsInsuredRelation(String isInsuredRelation) {
        this.isInsuredRelation = isInsuredRelation;
    }

    @JsonIgnore
    public String getTargetId() {
        return targetId;
    }

    @JsonIgnore
    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Override
    public String toString() {
        return "Insured{" +
                "insuredFlag='" + insuredFlag + '\'' +
                ", identifyNumber='" + identifyNumber + '\'' +
                ", insuredName='" + insuredName + '\'' +
                ", identifyType='" + identifyType + '\'' +
                ", insuredType='" + insuredType + '\'' +
                ", mobile='" + mobile + '\'' +
                ", insuredNature='" + insuredNature + '\'' +
                ", email='" + email + '\'' +
                ", address='" + address + '\'' +
                ", isInsuredRelation='" + isInsuredRelation + '\'' +
                ", targetId='" + targetId + '\'' +
                '}';
    }
}
